package org.nl.system.service.redis.dao;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author: lyd
 * @Description: {@link RedisKeyDefine} 注册表
 * @Date: 2022-08-04
 */
public class RedisKeyRegistry {
    /**
     * Redis RedisKeyDefine 数组
     */
    private static final List<RedisKeyDefine> defines = new ArrayList<>();

    public static void add(RedisKeyDefine define) {
        defines.add(define);
    }

    public static List<RedisKeyDefine> list() {
        return defines;
    }

    public static int size() {
        return defines.size();
    }
}
